Bug 484562 - Division by zero when exporting to PicasaWeb
Division by zero when exporting to PicasaWeb
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: f-spot (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Christian Krause
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-08 06:32 EST by Richard Schwarting
Modified: 2009-10-06 16:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-06 16:59:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Schwarting 2009-02-08 06:32:22 EST
Description of problem:

I want to export photos to PicasaWeb from F-Spot.
F-spot successfully connects to Google, in that it downloads my album list correctly.
However, the progress bar never makes it all the way.  It usually stops at 16kB (or once, a little past) and then times out.  F-spot gives me the option of trying again, and if I click it, its error message changes to "Divide by zero".  At least C applications have the decency to die in embarrassment :) 

Version-Release number of selected component (if applicable):

f-spot 0.5.0.3

How reproducible:

Always.

Steps to Reproduce:
1. Select photos to export to PicasaWeb
2. Try to export them.
3. Watch as the export stalls almost immediately, and times out
4. Click re-try
  
Actual results:
* I get told: Division by zero

Expected results:
* It would try again, perhaps in vain.

Additional info:

f-spot prints this to the terminal each time I try telling it to try again:

uploading 0
System.DivideByZeroException: Division by zero
  at (wrapper managed-to-native) System.Object:__icall_wrapper___emul_ldiv (long,long)
  at FSpotGoogleExport.GoogleExport.Upload () [0x00000]
Comment 1 Christian Krause 2009-10-04 19:12:13 EDT
Does this problem still happen with f-spot 0.6.x.x? (the update is available in Fedora 10, 11, 12 and rawhide).

If yes, please can you start f-spot with "f-spot --debug"
and attach the output to this bug report?
Comment 2 Richard Schwarting 2009-10-06 16:49:51 EDT
Hello.

This seems to work now :)   Thanks.

I'll note that in the interim I ended up writing my own uploader client and now write code for libgdata's picasaweb support :)  

I doubt mono-bindings for libgdata would be of any interest to the F-Spot developers, eh?
Comment 3 Christian Krause 2009-10-06 16:59:44 EDT
Hi,

(In reply to comment #2)
> This seems to work now :)   Thanks.

Ok, good to know. I'll close this bug report then for now with the resolution WORKSFORME based on your comment. If the issue re-appears again, feel free to open it or create a new one.

> I'll note that in the interim I ended up writing my own uploader client and now
> write code for libgdata's picasaweb support :) 

Cool. ;-)

> I doubt mono-bindings for libgdata would be of any interest to the F-Spot
> developers, eh?  

Hm, good question. I'm not an f-spot developer myself, I do only maintain the fedora package (and send occasionally some bug fixes upstream). But you may ask them e.g. on IRC on irc.gnome.org / #f-spot whether they are interested.

Note You need to log in before you can comment on or make changes to this bug.